Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166465 - FreeBsd7.0 as remote host
FreeBsd7.0 as remote host
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
6.x
Other Other
: P2 (vote)
: 6.x
Assigned To: Vladimir Kvashin
issues@cnd
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 10:40 UTC by gurt
Modified: 2010-07-07 13:47 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gurt 2009-06-03 10:40:49 UTC
adding remote host to NetBeans ( 6.5 , 6.5.1 , 6.7) - OK

mapping NetBeans ( 6.5 , 6.5.1 , 6.7) -OK

adding Tool Collection - NO 

NetBeans can't wind compiller in /usr/bin
Comment 1 Vladimir Kvashin 2009-06-03 13:34:06 UTC
Officially CND remote supports Linux and Solaris as remote hosts, so I'm downgrading to P2.
However I strongly believe this should be fixed.
Comment 2 Vladimir Kvashin 2009-06-03 13:35:15 UTC
As I understand, cnd.remote failed to find the following compiler 

gcc -v
Using built-in specs.
Target: i386-undermydesk-freebsd
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 4.2.1 20070719  [FreeBSD]
Comment 3 Leonid Lenyashin 2009-10-23 10:38:18 UTC
Adding FreeBsd as the supported remote platform is an enhancement rather then bug
Comment 4 Alexey Vladykin 2009-11-16 10:04:54 UTC
gurt, it's time to check the latest build from http://bits.netbeans.org/download/trunk/nightly/latest/ We've fixed many remote and several FreeBSD-related bugs.
Comment 5 Vladimir Kvashin 2010-06-03 11:02:01 UTC
In 6.9 it's impossible to set up a FreeBSD host.

It prints error message

Failure during remote setup of toaster@my.freebsd.host. Could not copy /var/tmp/dlight_toaster/c99fec/tools/modules/org-netbeans-modules-cnd-dwarfdump.jar to the remote system.

I believe the same is correct if the remote host is HP-UX.
Comment 6 Vladimir Voskresensky 2010-06-03 21:20:20 UTC
is this issue somehow connected with issue 187123?
Comment 7 Vladimir Kvashin 2010-06-04 03:04:59 UTC
Yes, it is similar with issue 187123. The difference is that here we  can't determine operating system, while in issue 187123 we don't know architecture. Falling back to x86 can solve 187123, but this one.
Comment 8 Quality Engineering 2010-06-05 07:48:18 UTC
Integrated into 'main-golden', will be available in build *201006050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/644ccb99c248
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: In the case of unexpected OS fallback to just file existence check  - fixing #166465 -  FreeBsd7.0 as remote host
Comment 10 rbalada 2010-06-16 08:52:40 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 11 soldatov 2010-06-18 13:40:17 UTC
Now I see "SFTP" synchronization mode in "New Remote Development Host" wizard.
This option should be disabled by default
Comment 12 Vladimir Kvashin 2010-06-18 15:15:50 UTC
SFTP is now disabled by default
http://hg.netbeans.org/cnd-main/rev/17e58760dea0
Comment 13 soldatov 2010-06-18 15:40:47 UTC
SFTP mode works correctly on FreeBSD
Comment 14 Vladimir Kvashin 2010-06-18 16:27:14 UTC
I'd like to note that SFTP can be enabled via command line option -J-Dcnd.remote.scp=true (as it was in 6.8 and 6.9); so although it isn't officially supported, it works :)
Comment 15 Quality Engineering 2010-06-19 03:39:01 UTC
Integrated into 'main-golden', will be available in build *201006190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/17e58760dea0
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Disable SFTP by default as it is not officially supported (#166465 -  FreeBsd7.0 as remote host  )
Comment 16 soldatov 2010-06-21 09:44:47 UTC
Verified in trunk.
MacOSX and FreeBSD can be used as remote servers
Comment 17 rbalada 2010-06-21 15:07:58 UTC
main #644ccb99c248 transplanted to release691 #a5a05cd4311a
main #fe831c7e8f8b transplanted to release691 #ff1859ce1461
main #04ed7ec38156 transplanted to release691 #eec9a014b534
main #17e58760dea0 transplanted to release691 #4c4cc41923ea
Comment 18 soldatov 2010-07-07 13:47:15 UTC
verified in 6.9.1 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo